Post Event

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Use this API to post the event that you have created. To know more about testing and publishing a new event, refer [Test & Publish Event]

API endpoint example

<https://spd6hzcltl.execute-api.eu-west-1.amazonaws.com/eucrm/webhooks/d61233f75191444e73a577bbbd4c26eb>

Prerequisites

Resource information

URI{webhooksUrl}/{host}/
HTTP methodPOST
Pagination supported?NA
Rate limitNA
Batch supportNA

Example request body parameters

Consider you have an event 'be_reserved' used for reserving rooms in a hotel. It utilizes customer information and stay details. The parameters below are for the event's attributes 'be_reserved'.

Note: The parameters change according to the attributes of the event.

Parameter Name (Parameters marked with * are mandatory)Data TypeDescription
age*DoubleAge of the customer.
customer_id*StringMobile number of the customer.
event_name*StringName of the event.
external_event_id*StringExternal identifier for Behavioral Events. This identifier allows brands to pass their unique identifiers for each event they send to the Customer Data Platform.
hotel_name*StringName of the hotel where the customer wants to reserve rooms.
room_nights*EnumNumber of nights the room is reserved.
eventDateTimeStringStandard attribute that captures the event processing time. See Standard Attributes for more details.
curl --location 'https://spd6hzcltl.execute-api.eu-west-1.amazonaws.com/eucrm/webhooks/d61233f75191444e73a577bbbd4c26eb' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic dGVzdF9kaXY2OWZmZmRkYg==' \
--data '{
"age":20,
"customer_id":"9933772255",
"event_name":"be_reserved",
"external_event_id":"RAND121",
"hotel_name":"Indiranagar",
"room_nights":"12",
"eventDateTime":"2024-04-11 12:00:00"
}'

Response parameters

Parameter NameData TypeDescription
statusObjectObject containing the status of the event.
-codeNumberStatus code indicating the result of the POST operation.
-messageStringMessage describing the status of the event.
requestIdStringUnique ID for the POST operation. The maximum number of characters for the request ID is 36.
{
    "status": {
        "code": 1100,
        "message": "Event is pushed to transformation state"
    },
    "requestId": "defc955f-ebca-4f14-b8d7-e2b885b3f370"
}
Body Params
string
Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json